Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-6204

Published: 21 November 2023

On some systems—depending on the graphics settings and drivers—it was possible to force an out-of-bounds read and leak memory data into the images created on the canvas element. This vulnerability affects Firefox < 120, Firefox ESR < 115.5.0, and Thunderbird < 115.5.

Notes

AuthorNote
tyhicks
mozjs contains a copy of the SpiderMonkey JavaScript engine
mdeslaur
starting with Ubuntu 22.04, the firefox package is just a script
that installs the Firefox snap

Priority

Medium

Cvss 3 Severity Score

6.5

Score breakdown

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
trusty Ignored
(end of standard support)
xenial Ignored
(end of standard support)
bionic Ignored
(end of standard support)
focal
Released (120.0+build2-0ubuntu0.20.04.1)
jammy Not vulnerable
(code not present)
lunar Ignored
(end of life, was needs-triage)
mantic Not vulnerable
(code not present)
upstream Needs triage

thunderbird
Launchpad, Ubuntu, Debian
trusty Ignored
(end of standard support)
xenial Ignored
(end of standard support)
bionic Ignored
(end of standard support)
focal
Released (1:115.5.0+build1-0ubuntu0.20.04.1)
jammy
Released (1:115.5.0+build1-0ubuntu0.22.04.1)
lunar
Released (1:115.5.0+build1-0ubuntu0.23.04.1)
mantic
Released (1:115.5.0+build1-0ubuntu0.23.10.1)
upstream Needs triage

mozjs38
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Needs triage

focal Does not exist

jammy Does not exist

lunar Does not exist

mantic Does not exist

upstream Needs triage

mozjs52
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Needs triage

focal Needs triage

jammy Does not exist

lunar Does not exist

mantic Does not exist

upstream Needs triage

mozjs68
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Needs triage

jammy Does not exist

lunar Does not exist

mantic Does not exist

upstream Needs triage

mozjs78
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Needs triage

lunar Ignored
(end of life, was needs-triage)
mantic Does not exist

upstream Needs triage

mozjs91
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Needs triage

lunar Does not exist

mantic Does not exist

upstream Needs triage

mozjs102
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Needs triage

lunar Ignored
(end of life, was needs-triage)
mantic Needs triage

upstream Needs triage

Severity score breakdown

Parameter Value
Base score 6.5
Attack vector Network
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality High
Integrity impact None
Availability impact None
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N